Package org.apache.commons.compress.utils

# Class FileNameUtils

java.lang.Object
org.apache.commons.compress.utils.FileNameUtils

public class FileNameUtils extends Object
Generic file name utilities.

Since:
  1.20

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileNameUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getBaseName(String fileName)`
  Deprecated.
  No longer used, no replacement.
  `static String`
  `getBaseName(Path path)`
  Gets the base name (i.e. the part up to and not including the last ".") of the last path segment of a file name.
  `static String`
  `getExtension(String fileName)`
  Deprecated.
  Use `FilenameUtils.getExtension(String)`.
  `static String`
  `getExtension(Path path)`
  Gets the extension (i.e. the part after the last ".") of a file.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FileNameUtils

    public FileNameUtils()

- ## Method Details

  - ### getBaseName

    public static String getBaseName(Path path)
    Gets the base name (i.e. the part up to and not including the last ".") of the last path segment of a file name.

    Will return the file name itself if it doesn't contain any dots. All leading directories of the `file name` parameter are skipped.

    Parameters:
      `path` - the path of the file to obtain the base name of.
    Returns:
      the base name of file name
    Since:
      1.22

  - ### getBaseName

    @Deprecated public static String getBaseName(String fileName)
    Deprecated.
    No longer used, no replacement.
    Gets the base name (i.e. the part up to and not including the last ".") of the last path segment of a file name.

    Will return the file name itself if it doesn't contain any dots. All leading directories of the `file name` parameter are skipped.

    Parameters:
      `fileName` - the name of the file to obtain the base name of.
    Returns:
      the base name of file name

  - ### getExtension

    public static String getExtension(Path path)
    Gets the extension (i.e. the part after the last ".") of a file.

    Will return an empty string if the file name doesn't contain any dots. Only the last segment of a the file name is consulted - i.e. all leading directories of the `file name` parameter are skipped.

    Parameters:
      `path` - the path of the file to obtain the extension of.
    Returns:
      the extension of file name
    Since:
      1.22

  - ### getExtension

    @Deprecated public static String getExtension(String fileName)
    Deprecated.
    Use `FilenameUtils.getExtension(String)`.
    Gets the extension (i.e. the part after the last ".") of a file.

    Will return an empty string if the file name doesn't contain any dots. Only the last segment of a the file name is consulted - i.e. all leading directories of the `fileName` parameter are skipped.

    Parameters:
      `fileName` - the name of the file to obtain the extension of.
    Returns:
      the extension of file name